### Method

# Clutter InputDeviceTool get_serial

#### Declaration [src]

    guint64
    clutter_input_device_tool_get_serial (
      ClutterInputDeviceTool* tool
    )

#### Description [src]

Gets the serial of this tool, this value can be used to identify a physical tool (eg. a tablet pen) across program executions.

Gets property | `Clutter.InputDeviceTool:serial`

#### Return value

Type: `guint64`

The serial ID for this tool8.